OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
Transfer

# Transfer_ActorOfTransientProcess Class Reference

The original class was renamed. Compatibility only
.

`#include <Transfer_ActorOfTransientProcess.hxx>`

Inheritance diagram for Transfer_ActorOfTransientProcess:

[legend]

## Public Member Functions
Standard_EXPORT | Transfer_ActorOfTransientProcess ()
virtual Standard_EXPORT Handle_Transfer_Binder | Transferring (const Handle(Standard_Transient)&start, const Handle(Transfer_ProcessForTransient)&TP)
virtual Standard_EXPORT Handle_Transfer_Binder | Transfer (const Handle(Standard_Transient)&start, const Handle(Transfer_TransientProcess)&TP)
virtual Standard_EXPORT Handle_Standard_Transient | TransferTransient (const Handle(Standard_Transient)&start, const Handle(Transfer_TransientProcess)&TP)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT Transfer_ActorOfTransientProcess::Transfer_ActorOfTransientProcess | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const Transfer_ActorOfTransientProcess::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Transfer_ActorOfProcessForTransient. Reimplemented in IGESToBRep_Actor, STEPControl_ActorRead, and Transfer_ActorDispatch.

virtual Standard_EXPORT Handle_Transfer_Binder Transfer_ActorOfTransientProcess::Transfer | ( | const Handle(Standard_Transient)& | start,
|  | const Handle(Transfer_TransientProcess)& | TP
| ) | `[virtual]`

| Reimplemented in IGESToBRep_Actor, STEPControl_ActorRead, and Transfer_ActorDispatch.

virtual Standard_EXPORT Handle_Transfer_Binder Transfer_ActorOfTransientProcess::Transferring | ( | const Handle(Standard_Transient)& | start,
|  | const Handle(Transfer_ProcessForTransient)& | TP
| ) | `[virtual]`

| Reimplemented from Transfer_ActorOfProcessForTransient.

virtual Standard_EXPORT Handle_Standard_Transient Transfer_ActorOfTransientProcess::TransferTransient | ( | const Handle(Standard_Transient)& | start,
|  | const Handle(Transfer_TransientProcess)& | TP
| ) | `[virtual]`

The documentation for this class was generated from the following file:

- Transfer_ActorOfTransientProcess.hxx